[P064]Patent Enhanced Data

get
https://connect.patsnap.com/basic-patent-data/patent_enhanced_data
Try in Sandbox

Receive patent basic bibliography data by patent_id or patent_number.

The patent_id and the patent_number must have one of the two parameters, if both exist, the patent_id will be used first.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
fields
stringfirst_publication,application_type,first_claim
the fields you want received, multiple fields are separated by commas.
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent_id
patent_number
stringUS11205304B2
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringCN101595528B
Patent Number
patent_id
string02515f4b-1506-4c99-8101-9242f916bd99
Patent Id
first_claim
arrayPlease check the form: PatentEnhancedClaim
Patent first claim
lang
stringCN
language
claim_text
string<div class=\"indep-clm\" num=\"1\"><seg-con>1.一种存储器装置(100、610),其</seg-con><seg-trans>包括:</seg-trans></div>\n <div class=\"indep-clm\" num=\"1\"><seg-refi>非易失性存储器单元(208、308)阵列(104、300),其被组织为多个可擦除的物理块(340);及</seg-refi></div>\n <div class=\"indep-clm\" num=\"1\"><seg-refi>电路(108、110、116),其用于控制和/或存取所述非易失性存储器单元(208、308)阵列(104、300);</seg-refi></div>\n <div class=\"indep-clm\" num=\"1\"><seg-refi>其中所述用于控制和/或存取的电路(108、110、116)适于界定具有预定数目的一个或一个 以上物理块(340)的第一逻辑擦除块和具有预定数目的两个或两个以上物理块(340)的第二逻辑擦除块;</seg-refi></div>\n <div class=\"indep-clm\" num=\"1\"><seg-refi>其中所述第二逻辑擦除块具有与所述第一逻辑擦除块不同数目的物理块(340);</seg-refi></div>\n <div class=\"indep-clm\" num=\"1\"><seg-refi>且</seg-refi></div>\n <div class=\"indep-clm\" num=\"1\"><seg-refi>其中所述电路适于在擦除操作期间同时选择一第二逻辑擦除块的所述两个或两个以上物理块。</seg-refi></div>
Claim text
application_type
integer<int32>1
Application Type
first_publication
objectPlease check the form: PatentEnhancedPublication
Patent First Publication
pn
stringUS11205304B2
patent number
pbdt
integer<int32>20230815
Publication Date
earliest_priority_date
integer<int32>20220112
Earliest Priority Date
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "CN101595528B",
      "patent_id": "02515f4b-1506-4c99-8101-9242f916bd99",
      "first_claim": [
        {
          "lang": "CN",
          "claim_text": "<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-con>1.一种存储器装置(100、610),其</seg-con><seg-trans>包括:</seg-trans></div>\\n\n<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-refi>非易失性存储器单元(208、308)阵列(104、300),其被组织为多个可擦除的物理块(340);及</seg-refi></div>\\n\n<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-refi>电路(108、110、116),其用于控制和/或存取所述非易失性存储器单元(208、308)阵列(104、300);</seg-refi></div>\\n\n<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-refi>其中所述用于控制和/或存取的电路(108、110、116)适于界定具有预定数目的一个或一个\n以上物理块(340)的第一逻辑擦除块和具有预定数目的两个或两个以上物理块(340)的第二逻辑擦除块;</seg-refi></div>\\n\n<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-refi>其中所述第二逻辑擦除块具有与所述第一逻辑擦除块不同数目的物理块(340);</seg-refi></div>\\n\n<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-refi>且</seg-refi></div>\\n\n<div class=\\\"indep-clm\\\" num=\\\"1\\\"><seg-refi>其中所述电路适于在擦除操作期间同时选择一第二逻辑擦除块的所述两个或两个以上物理块。</seg-refi></div>"
        }
      ],
      "application_type": 1,
      "first_publication": {
        "pn": "US11205304B2",
        "pbdt": 20230815
      },
      "earliest_priority_date": 20220112
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms